import webiopi							# импорт библиотек
import datetime
import json
import sys
import time
import os
import subprocess
from subprocess import call

pressure, celsius, celsius_0, celsius_1 = 0, 0, 0, 0

from webiopi.devices.sensor.bmp085 import BMP085

from webiopi import deviceInstance
		
from time import strftime	

def loop():	

    global pressure, celsius, celsius_0, celsius_1 
	
    bmp = BMP085()
    pressure = bmp.getHectoPascal()		# получение давления в гектопаскалях
    pressure = pressure*0.75			# перевод гектопаскалей в мм.рт.ст
    print (pressure)	

    #global celsius
    bmp = BMP085()
    celsius = bmp.getCelsius()			# получение температуры
    print (celsius)

    #global celsius_0, celsius_1
    tmp0 = webiopi.deviceInstance("tmp0")   
    celsius_0 = tmp0.getCelsius() 			# получение температуры
    print (celsius_0)

    tmp1 = webiopi.deviceInstance("tmp1")   
    celsius_1 = tmp1.getCelsius() 			# получение температуры
    print (celsius_1)
  
	
    f = open('/home/pi/myproject/html/data_press.txt', 'a')
    data_entry = "{0},{1}\n".format(strftime("%Y-%m-%d %H:%M:%S"),"%.1f" % pressure)
    f.write(data_entry)
    f.close()
	
	
    f = open('/home/pi/myproject/html/data_temp.txt', 'a')
    data_entry = "{0},{1}\n".format(strftime("%Y-%m-%d %H:%M:%S"),"%.1f" % celsius)
    f.write(data_entry)
    f.close()	
	
	
    f = open('/home/pi/myproject/html/data_18B20.txt', 'a')
    data_entry = "{0},{1},{2}\n".format(strftime("%Y-%m-%d %H:%M:%S"),"%.1f" % celsius_0,"%.1f" % celsius_1)
    f.write(data_entry)
    f.close()	


	
    time.sleep(1800)



#======================================МАКРОСЫ ВЫЗЫВАЕМЫЕ ИЗ HTML страницы ===========================



from webiopi.devices.sensor.bmp085 import BMP085
	
@webiopi.macro
def getBMP085():						# макрос измерения давления
    global pressure
    bmp = BMP085()
    pressure = bmp.getHectoPascal()		# получение давления в гектопаскалях
    pressure = pressure*0.75			# перевод гектопаскалей в мм.рт.ст
    print (pressure)					
    return "%.1f" % pressure				# возврат данных давления в HTML с округлением до десятых / "%d" % - до целых
	
	
@webiopi.macro							# макрос измерения давления
def getBMP085tmp():
    global celsius
    bmp = BMP085()
    celsius = bmp.getCelsius()			# получение температуры
    print (celsius)
    return "%.1f" % celsius				# возврат данных температуры в HTML с округлением до десятых
	
	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
#from time import strftime	
#@webiopi.macro  # запись в файл данных, времени и даты
#def test():	
    #f = open('/home/pi/myproject/python/data.txt', 'a')
    #data_entry = "{0}   {1}   {2}\n".format(strftime("%Y-%m-%d %H:%M:%S"),"%.1f" % pressure,"%.1f" % celsius)
    #f.write(data_entry)
    #f.close()	
	
	


	




	
	
    #celsius = bmp.getCelsius()
    #at_Sea = bmp.getHectoPascalAtSea()
    #test_value=123
    #test_txt=("Text")
    #lista = pressure, celsius, at_Sea, test_value, test_txt
    #print("lista", lista)
    #return json.dumps (lista)	
	
	
	
	
	




#==========================================================================================================================================
	
	
#from time import strftime	
#@webiopi.macro  # запись в файл данных, времени и даты
#def test():	
    #f = open('/home/pi/myproject/python/data.txt', 'a')
    #data_entry = "{0},{1},{2}\n".format(strftime("%Y-%m-%d %H:%M:%S"),"Hello","Goodbye")
    #f.write(data_entry)
    #f.close()
	




 

#==========================================================================================================================================


#from webiopi.devices.serial import Serial
#serial = Serial("ttyUSB0", 9600)

#def loop():
    #serial.writeByte(0xFF)                # write a single byte
    #serial.writeBytes([0x41, 0x31, 0x31, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00]) # write a byte array
    #serial.writeString("some text")       # write a string

    #if (serial.available() > 0):
        #value = serial.readByte()         # read and return a single byte
        #print("0x%X" % value)

        #values = serial.readBytes(15)      # read 16 bytes and return an array
        #print(", ".join("0x%X" % i for i in values))

        #data = serial.readString()        # read available data as string
        #print(data)
		
		
    #time.sleep(10)
	
